Subject: Re: Re: Re: Re: Building GCC from Sources
From: "...2«..." <[email-masked]>
To: "Deepak Shekhar" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 15 Aug 2001 13:23:39 +1000

1. why are you compiling binutils and gcc in one pass?
if you are im sure you need to find compatible versions,
(http://www.objsw.com/CrossGCC/FAQ-4.html)
(coz all involved src trees might have diverged too much)

2. if you want to continue with the versions of binutils and
gcc you have (in one pass?);

with "ltconfig", just edit the file and insert a dummy
case for the build option, eg "--build=*) ;;"

with "cplus_demangle_name_to_style", you might
have to merge binutils includes with gccs and patch
your build/Makefile

but i think it would be easier to "make all install" each separately.

dan

----- Original Message -----
From: "Deepak Shekhar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, August 15, 2001 12:13 AM
Subject: Re: Re: Re: Re: Building GCC from Sources

Hi

I am using the sources from cygwin sites.The sources i am using are the
latest and the same version of binaries i have installed. I have explained
what i have done.
I am configuring for i586 PC running windows.

The directory structure is as follows.
binutils-20010425-2
gcc-2.95.3-5
build
exe
I create symbolic links for gas,ld,bfd,opcodes,binutils and gprof in the
main directory of gcc - gcc-2.95.3.5.
Then i run the configure script of gcc in the build directory.When the
directory opcodes is being configured, the configure throws an error saying
"ltconfig" doesn't recognise the option "--build".
So configuration of libtool failed.
Then in the configure scripts of all the directories for which i created
symbolic links i removed the option
"--build" from the options of ltconfig. Then the configuration was  done
without any errors.

Then i run "make bootstrap" in the build directory. When compiling the files
in the bfd directory it looks for files in the include directory of gcc. The
files it looks for are not in gcc-2.95.3-5/include but are
in binutils-20010425-2/include. So i copied those files from binuitls to
gcc. Now that problem was solved. Then it gave an error saying in file
sysdep.h no rule to make "libintl.h". Then i created a symbolic link for
directory binutils-20010425/intl in the gcc-2.95.3-5 and reconfigured.Then i
repeated "make bootstrap".
Now it fails  while creating "objdump.exe" saying undefined reference to a
function "cplus_demangle_name_to_style" and "cplus_demangle_set_style".

These functions are in the cplus-dem.c file of libeberty of binutils but not
in libiberty of gcc. These functions are not there in sources from GNU GCC
sites.

Can u help me on this.

thanking in advance
Deepak

On Fri, 03 Aug 2001 [email-masked] wrote :
>
>Deepak Shekhar <[email-masked]> wrote:
>>
>Actually the source versions of binutils and gcc that i
>am building
>are binutils-20010425-2 and gcc-2.95.3-4.
> I want to build both binutils and gcc.
>i have created links for binutils,gas,ld,gprof,bfd and
>opcodes in the
>main directory of gcc.
>
>While configuring opcodes i get the following mesage
>and the
>configuation stops
>
>ltconfig: unrecognized option `--build=i586-pc-cygwin32'
>Try `ltconfig --help' for more information.
>configure: error: libtool configure failed
>Configure in /home/Deepak/build2/opcodes failed,
>exiting.
>
>Can u help me out in this
>thanks in advance
>Deepak
>------------- Original Message --------------
>[email-masked] wrote:
>To:[email-masked]
>From:[email-masked]
>Date:Wed, 1 Aug 2001 12:36:46 -0700 (PDT)
>CC:[email-masked]
>Subject: Re: Building GCC from Sources
>
>If the failure is "gencode" complaining about "unknown
>rtx code..." then
>it's caused by not handling DOS CR LF property. This
>can be fixed by
>doing one of the following:
>
>* apply the patch
> http://gcc.gnu.org/ml/gcc/2001-07/msg02146.html
>
>* mount the directory the sources are under in textmode
>
>* convert the file gcc-3.0/gcc/config/i386/i386.md to
>use Unix newlines
> http://www.cygwin.com/ml/cygwin/2001-07/msg01696.html
>
>* unpack the sources with Cygwin tar (the extra CR's
>that caused the
>  build to fail are added by programs such as WinZip)
>
>then build it according to the instructions
> http://gcc.gnu.org/install/index.html
>
>I don't have any other problems building the GCC 3.0
>release for C/C++.
>
>By the way, the plateform-specific installation notes
>says
>> Current (as of early 2001) snapshots of GCC will
>build under Cygwin
>> without modification.
>that seems to imply that 2.95.x might not work.
>
>Di-an Jan
>
>Well, yes; did you look at the differences between the
>sources from
>the cygwin sites and the ones on the gcc sites?  Why
>not use the
>cygwin ones, and make sure that your cygwin
>installation and the
>sources are consistent and current?

_________________________________________________________
For Rs. 2,000,000 worth of Aptech scholarships click below
http://clients.rediff.com/clients/aptechsch/index1.htm

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/